// $Id: arithmetic.hpp 3757 2015-11-30 12:03:07Z bradbell $
# ifndef CPPAD_ARITHMETIC_HPP
# define CPPAD_ARITHMETIC_HPP

/* --------------------------------------------------------------------------
CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-15 Bradley M. Bell

CppAD is distributed under multiple licenses. This distribution is under
the terms of the
                    GNU General Public License Version 3.

A copy of this license is included in the COPYING file of this distribution.
Please visit http://www.coin-or.org/CppAD/ for information on other licenses.
-------------------------------------------------------------------------- */

/*
-------------------------------------------------------------------------------
$begin Arithmetic$$
$spell
	Op
	const
$$



$section AD Arithmetic Operators and Computed Assignments$$

$childtable%
	cppad/local/unary_plus.hpp%
	cppad/local/unary_minus.hpp%
	cppad/local/ad_binary.hpp%
	cppad/local/compute_assign.hpp
%$$

$end
-------------------------------------------------------------------------------
*/
# include <cppad/local/unary_plus.hpp>
# include <cppad/local/unary_minus.hpp>
# include <cppad/local/ad_binary.hpp>
# include <cppad/local/compute_assign.hpp>

# endif
